Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cms
Class AuthEnvelopedData

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cms.AuthEnvelopedData

All Implemented Interfaces:
  DEREncodable

    public class AuthEnvelopedData

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`AuthEnvelopedData(ASN1Sequence seq)`
`AuthEnvelopedData(OriginatorInfo originatorInfo, ASN1Set recipientInfos, EncryptedContentInfo authEncryptedContentInfo, ASN1Set authAttrs, ASN1OctetString mac, ASN1Set unauthAttrs)`

Method Summary
`ASN1Set` `getAuthAttrs()`
`EncryptedContentInfo` `getAuthEncryptedContentInfo()`
`static AuthEnvelopedData` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an AuthEnvelopedData object from a tagged object.
`static AuthEnvelopedData` `getInstance(java.lang.Object obj)` return an AuthEnvelopedData object from the given object.
`ASN1OctetString` `getMac()`
`OriginatorInfo` `getOriginatorInfo()`
`ASN1Set` `getRecipientInfos()`
`ASN1Set` `getUnauthAttrs()`
`DERInteger` `getVersion()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthEnvelopedData

    public AuthEnvelopedData(OriginatorInfo originatorInfo,
                             ASN1Set recipientInfos,
                             EncryptedContentInfo authEncryptedContentInfo,
                             ASN1Set authAttrs,
                             ASN1OctetString mac,
                             ASN1Set unauthAttrs)

### AuthEnvelopedData

    public AuthEnvelopedData(ASN1Sequence seq)

Method Detail

### getInstance

    public static AuthEnvelopedData getInstance(ASN1TaggedObject obj,
                                                boolean explicit)

  return an AuthEnvelopedData object from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static AuthEnvelopedData getInstance(java.lang.Object obj)

  return an AuthEnvelopedData object from the given object.

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getVersion

    public DERInteger getVersion()

### getOriginatorInfo

    public OriginatorInfo getOriginatorInfo()

### getRecipientInfos

    public ASN1Set getRecipientInfos()

### getAuthEncryptedContentInfo

    public EncryptedContentInfo getAuthEncryptedContentInfo()

### getAuthAttrs

    public ASN1Set getAuthAttrs()

### getMac

    public ASN1OctetString getMac()

### getUnauthAttrs

    public ASN1Set getUnauthAttrs()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       AuthEnvelopedData ::= SEQUENCE {
         version CMSVersion,
         originatorInfo [0] IMPLICIT OriginatorInfo OPTIONAL,
         recipientInfos RecipientInfos,
         authEncryptedContentInfo EncryptedContentInfo,
         authAttrs [1] IMPLICIT AuthAttributes OPTIONAL,
         mac MessageAuthenticationCode,
         unauthAttrs [2] IMPLICIT UnauthAttributes OPTIONAL }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45